#ifndef __FFORMATWRITER_H__
#define __FFORMATWRITER_H__

#include "GenericReadWriter.h"

class FFormatWriter : public GenericReadWriter
{
public:
	FFormatWriter(char const * const filename) : GenericReadWriter( filename )
	{
	}

protected:
	virtual void DoWriteProlog(FILE * fp);
	virtual void DoWriteRead(FILE * fp, MappedRead const * const read);
	virtual void DoWriteEpilog(FILE * fp);

private:
	bool m_EnableBS;
};

#endif
