#ifndef __IREFPROVIDER_H__
#define __IREFPROVIDER_H__

#include "Types.h"
#include "RefEntry.h"

class IRefProvider
{
public:
	virtual int GetPageCount() const = 0;
	virtual void LoadPage(int const page) const = 0;
	virtual RefEntry const * GetRefEntry(ulong prefix) const = 0;

	virtual ~IRefProvider() {};
};

#endif
